SimpleDecisionAction (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.history.action
Class SimpleDecisionAction

    java.lang.Object
      org.maltparser.parser.history.action.SimpleDecisionAction

All Implemented Interfaces:
  ActionDecision, GuideDecision, SingleDecision

    public class SimpleDecisionAction

extends Object
implements SingleDecision

Since:
  1.1
Author:
  Johan Hall

Field Summary
`protected int` | `decision`
`protected History` | `history`
`protected KBestList` | `kBestList`
`protected TableContainer` | `tableContainer`

Constructor Summary
`SimpleDecisionAction(History history, TableContainer tableContainer)`

Method Summary
`void` | `addDecision(int code)`
`void` | `addDecision(String symbol)`
`void` | `clear()`
`boolean` | `continueWithNextDecision()`
`History` | `getActionHistory()`
`int` | `getDecisionCode()`
`int` | `getDecisionCode(String symbol)`
`String` | `getDecisionSymbol()`
`GuideHistory` | `getGuideHistory()`
`KBestList` | `getKBestList()`
`TableContainer.RelationToNextDecision` | `getRelationToNextDecision()`
`TableContainer` | `getTableContainer()`
`int` | `numberOfDecisions()`
`protected void` | `setHistory(History history)`
`protected void` | `setTableContainer(TableContainer tableContainer)`
`String` | `toString()`
`boolean` | `updateFromKBestList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### history

    protected History history

### decision

    protected int decision

### kBestList

    protected KBestList kBestList

### tableContainer

    protected TableContainer tableContainer

Constructor Detail

### SimpleDecisionAction

    public SimpleDecisionAction(History history,
                                TableContainer tableContainer)
                         throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `ActionDecision`

### numberOfDecisions

    public int numberOfDecisions()

  Specified by:
    `numberOfDecisions` in interface `GuideDecision`

### addDecision

    public void addDecision(int code)
                     throws MaltChainedException

  Specified by:
    `addDecision` in interface `SingleDecision`
  Throws:
    `MaltChainedException`

### addDecision

    public void addDecision(String symbol)
                     throws MaltChainedException

  Specified by:
    `addDecision` in interface `SingleDecision`
  Throws:
    `MaltChainedException`

### getDecisionCode

    public int getDecisionCode()
                        throws MaltChainedException

  Specified by:
    `getDecisionCode` in interface `SingleDecision`
  Throws:
    `MaltChainedException`

### getDecisionCode

    public int getDecisionCode(String symbol)
                        throws MaltChainedException

  Specified by:
    `getDecisionCode` in interface `SingleDecision`
  Throws:
    `MaltChainedException`

### getDecisionSymbol

    public String getDecisionSymbol()
                             throws MaltChainedException

  Specified by:
    `getDecisionSymbol` in interface `SingleDecision`
  Throws:
    `MaltChainedException`

### updateFromKBestList

    public boolean updateFromKBestList()
                                throws MaltChainedException

  Specified by:
    `updateFromKBestList` in interface `SingleDecision`
  Throws:
    `MaltChainedException`

### continueWithNextDecision

    public boolean continueWithNextDecision()
                                     throws MaltChainedException

  Specified by:
    `continueWithNextDecision` in interface `SingleDecision`
  Throws:
    `MaltChainedException`

### getGuideHistory

    public GuideHistory getGuideHistory()

  Specified by:
    `getGuideHistory` in interface `GuideDecision`

### getActionHistory

    public History getActionHistory()

### setHistory

    protected void setHistory(History history)

### getTableContainer

    public TableContainer getTableContainer()

  Specified by:
    `getTableContainer` in interface `SingleDecision`

### getKBestList

    public KBestList getKBestList()
                           throws MaltChainedException

  Specified by:
    `getKBestList` in interface `SingleDecision`
  Throws:
    `MaltChainedException`

### getRelationToNextDecision

    public TableContainer.RelationToNextDecision getRelationToNextDecision()

  Specified by:
    `getRelationToNextDecision` in interface `SingleDecision`

### setTableContainer

    protected void setTableContainer(TableContainer tableContainer)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.